For the complete documentation index, see llms.txt. This page is also available as Markdown.

Fulfillment orders

When Digital River coordinates an order's physical fulfillment, the Fulfillment Orders API manages the process.

Returns a list of Fulfillment orders

get

Get all Fulfillment orders.

Query parameters
endingBeforestringOptional

A cursor for use in pagination. The endingBefore parameter is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with xyz your subsequent calls can include endingBefore=xyz in order to fetch the previous page of the list.

startingAfterstringOptional

A cursor for use in pagination. The startingAfter parameter is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with xyz, your subsequent calls can include startingAfter=xyz in order to fetch the next page of the list.

limitinteger · min: 1 · max: 100Optional

A limit on the number of objects returned. Limit can range between 1 and 100, and the default is 10.

idsstring[]Optional

Only return objects with these IDs.

upstreamIdsstring[]Optional

Only return objects with these upstreamIds.

Responses
200

200 OK

application/json
get/fulfillment-orders
GET /fulfillment-orders HTTP/1.1
Host: api.digitalriver.com
Accept: */*
{
  "data": [
    {
      "id": 9292981838,
      "createdTime": {
        "offset": {
          "totalSeconds": 0,
          "id": "Z",
          "rules": {
            "fixedOffset": true,
            "transitions": [],
            "transitionRules": []
          }
        },
        "nano": 0,
        "year": 2018,
        "monthValue": 4,
        "dayOfMonth": 25,
        "hour": 20,
        "minute": 36,
        "second": 0,
        "dayOfWeek": "WEDNESDAY",
        "dayOfYear": 115,
        "month": "APRIL"
      },
      "currency": "USD",
      "locale": "en_US",
      "upstreamOrderTime": {
        "offset": {
          "totalSeconds": 0,
          "id": "Z",
          "rules": {
            "fixedOffset": true,
            "transitions": [],
            "transitionRules": []
          }
        },
        "nano": 0,
        "year": 2018,
        "monthValue": 4,
        "dayOfMonth": 25,
        "hour": 20,
        "minute": 36,
        "second": 0,
        "dayOfWeek": "WEDNESDAY",
        "dayOfYear": 115,
        "month": "APRIL"
      },
      "name": "John Smith",
      "email": "jsmith@digitalriver.com",
      "phone": "612-258-1966",
      "reservationId": "7765374748",
      "upstreamId": "7765374748",
      "shipTo": {
        "address": {
          "line1": "10380 Bren Rd W",
          "line2": "text",
          "city": "Minnetonka",
          "postalCode": "55129",
          "state": "MN",
          "country": "US"
        },
        "name": "John Smith",
        "phone": "952-111-1111",
        "email": "jsmith@digitalriver.com",
        "organization": "Digital River",
        "additionalAddressInfo": {
          "neighborhood": "Centro",
          "division": "???",
          "phoneticName": "??? ??"
        }
      },
      "shippingChoice": {
        "shippingInstructions": ".",
        "dutiesPaid": false,
        "id": "SG",
        "signatureRequiredType": "standard"
      },
      "items": [
        [
          {
            "id": "449838789",
            "upstreamId": "123",
            "inventoryItemId": "abc",
            "name": ".",
            "quantity": 1
          }
        ]
      ],
      "state": "pending",
      "liveMode": false
    }
  ]
}

Creates a new Fulfillment order

post

Creates a new Fulfillment order.

Body
currencystringRequired

Athree-letter ISO currency code.

Example: USD
localestringOptional

A locale designator that combines a two-letter ISO 639-1 language code with a ISO 3166-1 alpha-2 country code.

Example: en_US
upstreamOrderTimestring · date-timeRequired

The time at which the upstream order was created.

Example: {"offset":{"totalSeconds":0,"id":"Z","rules":{"fixedOffset":true,"transitions":[],"transitionRules":[]}},"nano":0,"year":2018,"monthValue":4,"dayOfMonth":25,"hour":20,"minute":36,"second":0,"dayOfWeek":"WEDNESDAY","dayOfYear":115,"month":"APRIL"}
namestringOptional

The customer's name.

Example: John Smith
emailstring · emailOptional

The customer's email address.

Example: jsmith@digitalriver.com
phonestringOptional

The customer's phone number.

Example: 612-258-1966
reservationIdstringOptional

An inventory reservation identifier.

Example: 7765374748
upstreamIdstringOptional

The upstream order identifier.

Example: 7765374748
Responses
201

201 Created

application/json
idnumber · integerRead-onlyOptional

The unique identifier of the fulfillment order.

Example: 9292981838
createdTimestring · date-timeRead-onlyOptional

The time when the fulfillment order was created.

Example: {"offset":{"totalSeconds":0,"id":"Z","rules":{"fixedOffset":true,"transitions":[],"transitionRules":[]}},"nano":0,"year":2018,"monthValue":4,"dayOfMonth":25,"hour":20,"minute":36,"second":0,"dayOfWeek":"WEDNESDAY","dayOfYear":115,"month":"APRIL"}
currencystringOptional

A three-letter ISO currency code.

Example: USD
localestringOptional

A locale designator that combines a two-letter ISO 639-1 language code with a ISO 3166-1 alpha-2 country code.

Example: en_US
upstreamOrderTimestring · date-timeOptional

The time at which the upstream order was created.

Example: {"offset":{"totalSeconds":0,"id":"Z","rules":{"fixedOffset":true,"transitions":[],"transitionRules":[]}},"nano":0,"year":2018,"monthValue":4,"dayOfMonth":25,"hour":20,"minute":36,"second":0,"dayOfWeek":"WEDNESDAY","dayOfYear":115,"month":"APRIL"}
namestringOptional

The customer's name.

Example: John Smith
emailstring · emailOptional

The customer's email address.

Example: jsmith@digitalriver.com
phonestringOptional

The customer's phone number.

Example: 612-258-1966
reservationIdstringOptional

An inventory reservation identifier.

Example: 7765374748
upstreamIdstringOptional

The upstream order identifier.

Example: 7765374748
statestring · enumRead-onlyOptional

The current state of the fulfillment order.

Example: pendingPossible values:
liveModebooleanOptional

Has the value true if the object exists in live mode or the value false if the object exists in test mode.

Example: false
post/fulfillment-orders
POST /fulfillment-orders HTTP/1.1
Host: api.digitalriver.com
Content-Type: application/json
Accept: */*
Content-Length: 957

{
  "currency": "USD",
  "locale": "en_US",
  "upstreamOrderTime": {
    "offset": {
      "totalSeconds": 0,
      "id": "Z",
      "rules": {
        "fixedOffset": true,
        "transitions": [],
        "transitionRules": []
      }
    },
    "nano": 0,
    "year": 2018,
    "monthValue": 4,
    "dayOfMonth": 25,
    "hour": 20,
    "minute": 36,
    "second": 0,
    "dayOfWeek": "WEDNESDAY",
    "dayOfYear": 115,
    "month": "APRIL"
  },
  "name": "John Smith",
  "email": "jsmith@digitalriver.com",
  "phone": "612-258-1966",
  "reservationId": "7765374748",
  "upstreamId": "7765374748",
  "shipTo": {
    "address": {
      "line1": "10380 Bren Rd W",
      "line2": "text",
      "city": "Minnetonka",
      "postalCode": "55129",
      "state": "MN",
      "country": "US"
    },
    "name": "John Smith",
    "phone": "952-111-1111",
    "email": "jsmith@digitalriver.com",
    "organization": "Digital River",
    "additionalAddressInfo": {
      "neighborhood": "Centro",
      "division": "???",
      "phoneticName": "??? ??"
    }
  },
  "shippingChoice": {
    "shippingInstructions": ".",
    "dutiesPaid": false,
    "id": "SG",
    "signatureRequiredType": "standard"
  },
  "items": [
    [
      {
        "upstreamId": "123",
        "inventoryItemId": "abc",
        "name": ".",
        "quantity": 1
      }
    ]
  ]
}
{
  "id": 9292981838,
  "createdTime": {
    "offset": {
      "totalSeconds": 0,
      "id": "Z",
      "rules": {
        "fixedOffset": true,
        "transitions": [],
        "transitionRules": []
      }
    },
    "nano": 0,
    "year": 2018,
    "monthValue": 4,
    "dayOfMonth": 25,
    "hour": 20,
    "minute": 36,
    "second": 0,
    "dayOfWeek": "WEDNESDAY",
    "dayOfYear": 115,
    "month": "APRIL"
  },
  "currency": "USD",
  "locale": "en_US",
  "upstreamOrderTime": {
    "offset": {
      "totalSeconds": 0,
      "id": "Z",
      "rules": {
        "fixedOffset": true,
        "transitions": [],
        "transitionRules": []
      }
    },
    "nano": 0,
    "year": 2018,
    "monthValue": 4,
    "dayOfMonth": 25,
    "hour": 20,
    "minute": 36,
    "second": 0,
    "dayOfWeek": "WEDNESDAY",
    "dayOfYear": 115,
    "month": "APRIL"
  },
  "name": "John Smith",
  "email": "jsmith@digitalriver.com",
  "phone": "612-258-1966",
  "reservationId": "7765374748",
  "upstreamId": "7765374748",
  "shipTo": {
    "address": {
      "line1": "10380 Bren Rd W",
      "line2": "text",
      "city": "Minnetonka",
      "postalCode": "55129",
      "state": "MN",
      "country": "US"
    },
    "name": "John Smith",
    "phone": "952-111-1111",
    "email": "jsmith@digitalriver.com",
    "organization": "Digital River",
    "additionalAddressInfo": {
      "neighborhood": "Centro",
      "division": "???",
      "phoneticName": "??? ??"
    }
  },
  "shippingChoice": {
    "shippingInstructions": ".",
    "dutiesPaid": false,
    "id": "SG",
    "signatureRequiredType": "standard"
  },
  "items": [
    [
      {
        "id": "449838789",
        "upstreamId": "123",
        "inventoryItemId": "abc",
        "name": ".",
        "quantity": 1
      }
    ]
  ],
  "state": "pending",
  "liveMode": false
}

Gets a Fulfillment order by ID

get

Retrieves the details of a Fulfillment order. You must supply the unique identifier of the Fulfillment order.

Path parameters
idstringRequired

Fulfillment order identifier.

Responses
200

OK.

application/json
idnumber · integerRead-onlyOptional

The unique identifier of the fulfillment order.

Example: 9292981838
createdTimestring · date-timeRead-onlyOptional

The time when the fulfillment order was created.

Example: {"offset":{"totalSeconds":0,"id":"Z","rules":{"fixedOffset":true,"transitions":[],"transitionRules":[]}},"nano":0,"year":2018,"monthValue":4,"dayOfMonth":25,"hour":20,"minute":36,"second":0,"dayOfWeek":"WEDNESDAY","dayOfYear":115,"month":"APRIL"}
currencystringOptional

A three-letter ISO currency code.

Example: USD
localestringOptional

A locale designator that combines a two-letter ISO 639-1 language code with a ISO 3166-1 alpha-2 country code.

Example: en_US
upstreamOrderTimestring · date-timeOptional

The time at which the upstream order was created.

Example: {"offset":{"totalSeconds":0,"id":"Z","rules":{"fixedOffset":true,"transitions":[],"transitionRules":[]}},"nano":0,"year":2018,"monthValue":4,"dayOfMonth":25,"hour":20,"minute":36,"second":0,"dayOfWeek":"WEDNESDAY","dayOfYear":115,"month":"APRIL"}
namestringOptional

The customer's name.

Example: John Smith
emailstring · emailOptional

The customer's email address.

Example: jsmith@digitalriver.com
phonestringOptional

The customer's phone number.

Example: 612-258-1966
reservationIdstringOptional

An inventory reservation identifier.

Example: 7765374748
upstreamIdstringOptional

The upstream order identifier.

Example: 7765374748
statestring · enumRead-onlyOptional

The current state of the fulfillment order.

Example: pendingPossible values:
liveModebooleanOptional

Has the value true if the object exists in live mode or the value false if the object exists in test mode.

Example: false
get/fulfillment-orders/{id}
GET /fulfillment-orders/{id} HTTP/1.1
Host: api.digitalriver.com
Accept: */*
{
  "id": 9292981838,
  "createdTime": {
    "offset": {
      "totalSeconds": 0,
      "id": "Z",
      "rules": {
        "fixedOffset": true,
        "transitions": [],
        "transitionRules": []
      }
    },
    "nano": 0,
    "year": 2018,
    "monthValue": 4,
    "dayOfMonth": 25,
    "hour": 20,
    "minute": 36,
    "second": 0,
    "dayOfWeek": "WEDNESDAY",
    "dayOfYear": 115,
    "month": "APRIL"
  },
  "currency": "USD",
  "locale": "en_US",
  "upstreamOrderTime": {
    "offset": {
      "totalSeconds": 0,
      "id": "Z",
      "rules": {
        "fixedOffset": true,
        "transitions": [],
        "transitionRules": []
      }
    },
    "nano": 0,
    "year": 2018,
    "monthValue": 4,
    "dayOfMonth": 25,
    "hour": 20,
    "minute": 36,
    "second": 0,
    "dayOfWeek": "WEDNESDAY",
    "dayOfYear": 115,
    "month": "APRIL"
  },
  "name": "John Smith",
  "email": "jsmith@digitalriver.com",
  "phone": "612-258-1966",
  "reservationId": "7765374748",
  "upstreamId": "7765374748",
  "shipTo": {
    "address": {
      "line1": "10380 Bren Rd W",
      "line2": "text",
      "city": "Minnetonka",
      "postalCode": "55129",
      "state": "MN",
      "country": "US"
    },
    "name": "John Smith",
    "phone": "952-111-1111",
    "email": "jsmith@digitalriver.com",
    "organization": "Digital River",
    "additionalAddressInfo": {
      "neighborhood": "Centro",
      "division": "???",
      "phoneticName": "??? ??"
    }
  },
  "shippingChoice": {
    "shippingInstructions": ".",
    "dutiesPaid": false,
    "id": "SG",
    "signatureRequiredType": "standard"
  },
  "items": [
    [
      {
        "id": "449838789",
        "upstreamId": "123",
        "inventoryItemId": "abc",
        "name": ".",
        "quantity": 1
      }
    ]
  ],
  "state": "pending",
  "liveMode": false
}

Last updated